			
			
-- Create buttons for arcade layout
function touchControls:createArcadeButtons()
  -- Clear existing buttons
  self:removeRightThumbstickButtons()
  self.buttons = {}
  		dynamicX =1.2
			dynamicX2 =1.5
			dynamicY = 1.1
			dynamicY = 1
  -- Create buttons around the left thumbstick
	if MobileOrientation=="portrait" then
			dynamicX =1.2
			dynamicX2 =1.5
			dynamicY = 1.1
			dynamicY = 1
	elseif MobileOrientation=="landscape" then
				dynamicX =0.6
				dynamicX2 =0.8
				dynamicY = 1
				dynamicY = 1.05
	end

  local buttonPositions = {
   {x = love.graphics.getWidth() / dynamicX * 1.05, y = self.leftThumbstickY * 0.70},
     {x = love.graphics.getWidth() / dynamicX2 * 1.05, y = self.leftThumbstickY * 0.75},
     {x = love.graphics.getWidth() / dynamicX, y = self.leftThumbstickY * 1},
     {x = love.graphics.getWidth() / dynamicX2, y = self.leftThumbstickY * 1.05},
     
        --{x = love.graphics.getWidth() / dynamicX * 1.15, y = self.leftThumbstickY * 0.50},
     --{x = love.graphics.getWidth() / dynamicX2 * 1.15, y = self.leftThumbstickY * 0.55},
     --{x = love.graphics.getWidth() / dynamicX, y = self.leftThumbstickY * 0.50},
     --{x = love.graphics.getWidth() / dynamicX2, y = self.leftThumbstickY * 0.55},
    --{x = love.graphics.getWidth() /1, y = self.leftThumbstickY/ 1.7},
    --{x = love.graphics.getWidth() - 200, y = self.leftThumbstickY+100},
  }

-- Assuming buttonPositions is a table containing the positions of the buttons.
local buttonRadius = 100  -- Default radius for the smaller buttons
local specialButtonRadius = 200  -- Larger radius for buttons 3 and 4

for index, position in ipairs(buttonPositions) do
  -- Check if this is button 3 or 4, which should be bigger
  local radius
  if index == 3 or index == 4 then
    radius = specialButtonRadius
  elseif index == 5 or index == 6 then
	radius = 50
  else
    radius = buttonRadius
  end

  -- Add the button with the appropriate radius
  table.insert(self.buttons, {
    x = position.x,
    y = position.y,
    pressed = false,
    radius = radius  -- Assign the radius here
  })
end


  -- Remove any existing buttons associated with the right thumbstick
  --self:removeRightThumbstickButtons()
end

