
-- Update the existing draw function to draw the right thumbstick and its virtual thumbstick
function touchControls:draw()
  -- Draw left thumbstick
  
  love.graphics.circle("line", self.leftThumbstickX, self.leftThumbstickY, self.leftThumbstickRadius)

  -- Draw virtual thumbstick for left thumbstick when pressed and dragged
  if self.leftThumbstickPressed then
		
			love.graphics.circle("line", self.leftThumbstickX + touchControls.leftxaxis, self.leftThumbstickY + touchControls.leftyaxis, self.leftThumbstickRadius * 1.5)
	
  end
 
	
-- Draw buttons for left thumbstick
for i, button in pairs(self.buttons) do
  -- Set button color and labels based on index
  
    if i == 1 then
    love.graphics.setColor(0, 1, 1, 1)
    love.graphics.print("1", button.x, button.y)
    love.graphics.print("Return", button.x - 50, button.y + 50)
elseif i == 2 then
    love.graphics.setColor(1, 0, 0, 1)
    love.graphics.print("2", button.x, button.y)
    love.graphics.print("Fire", button.x - 50, button.y + 50)
  elseif i == 3 then
    love.graphics.setColor(0, 0, 1, 1)
    love.graphics.print("3", button.x, button.y)
    love.graphics.print("Pick up", button.x - 50, button.y + 50)
     elseif i == 4 then
    love.graphics.setColor(0, 1, 0, 1)
    love.graphics.print("4", button.x, button.y)
    love.graphics.print("Thrust", button.x - 50, button.y + 50)
  elseif i == 5 then
    love.graphics.setColor(0, 1, 1, 1)
    love.graphics.print("Save", button.x - 50, button.y + 50)
  elseif i == 6 then
    love.graphics.setColor(1, 0, 0, 1)
    love.graphics.print("Load", button.x - 50, button.y + 50)
    
  elseif i == 7 then
    love.graphics.setColor(0, 0, 1, 1)
 
  elseif i == 8 then
    love.graphics.setColor(0, 1, 0, 1)

  
  else
    love.graphics.setColor(1, 1, 1, 1)
  end

  -- Use the radius assigned to each button in the loop
  local radius = button.radius  -- This uses the radius set during button creation

  -- Draw the button with its respective radius
  if button.pressed then
    love.graphics.circle("fill", button.x, button.y, radius)
  else
    love.graphics.circle("line", button.x, button.y, radius)
  end
end


	if not (layout=="arcade") then
  -- Draw right thumbstick
		
			--love.graphics.circle("line", self.rightThumbstickX, self.rightThumbstickY, self.rightThumbstickRadius)
	
  -- Draw virtual thumbstick for right thumbstick when pressed and dragged
  if self.rightThumbstickPressed then
			if KeyboardOrientation == "portrait" then
				--love.graphics.circle("line", self.rightThumbstickX + touchControls.rightxaxis, self.rightThumbstickY + touchControls.rightyaxis, self.rightThumbstickRadius * 1.5)
		elseif KeyboardOrientation == "landscape" then
				--love.graphics.circle("line", self.rightThumbstickY + touchControls.rightyaxis, self.rightThumbstickX + touchControls.rightxaxis, self.rightThumbstickRadius * 1.5)
		end
  end
  end
   
   --[[-- Draw layout switch button
  local switchButtonX = love.graphics.getWidth() - 100
  local switchButtonY = 20
  local switchButtonWidth = 80
  local switchButtonHeight = 30

  love.graphics.setColor(0.4, 0.4, 0.4)
  love.graphics.rectangle("fill", switchButtonX, switchButtonY, switchButtonWidth, switchButtonHeight)
  love.graphics.setColor(1, 1, 1)
  --]]
  
  --love.graphics.print("Switch Layout", switchButtonX + 10, switchButtonY + 10)
  
  --love.graphics.print("CurrentLayout: " .. touchControls.layout, 200,50,0,1)

  
end
